<div class="animated fadeIn">
    <div class="row">
        <div class="col-lg-12">
            <div class="card">
                <div class="card-header">
                    <i class="fa fa-align-justify"></i> Virtual Machines
                    <button type="button" style="float: right;" class="btn btn-sm btn-primary" (click)="getVMList()" title="Refresh">
                        <i class="fa icon-refresh"></i>
                    </button>
                </div>
                <div class="card-body">
                    <table class="table">
                        <thead>
                            <tr>
                                <th>Creation Date</th>
                                <th>Container ID</th>
                                <th>Proj Name</th>
                                <th>Process Id</th>
                                <th>Owner</th>
                                <th style="white-space: nowrap;">Details&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</th>
                            </tr>
                        </thead>

                        <tbody>
                            <tr *ngFor="let _vm of VMList">
                                <td><small>{{convertToPrettyDate(_vm?.created_at)}}</small></td>
                                <td><small>{{_vm.container_id | slice:0:12}}</small></td>
                                <td><small>{{_vm.project_name}}</small></td>
                                <td><small>{{_vm.process_id}}</small></td>
                                <td><small>{{_vm.owner}}</small></td>
                                <td>
                                    <div class="btn-group">
                                        <button type="button" class="btn btn-sm btn-primary" (click)="redirectToVM(_vm.url)" title="View">
                                            <i class="cui-magnifying-glass"></i></button>
                                        &nbsp;
                                    </div>
                                    <div class="btn-group">
                                            <button type="button" class="btn btn-sm btn-primary" (click)="DeleteVM(_vm.container_id, _vm.process_id)" title="View">
                                                <i class="fa fa-trash"></i></button>
                                            &nbsp;
                                    </div>
                                </td>
                            </tr>
                        </tbody>
                    </table>
                    <ul class="pagination"> 
                        <li class="page-item"><a class="page-link" href="#">Prev</a></li>
                        <li class="page-item active"><a class="page-link" href="#">1</a></li>
                        <li class="page-item"><a class="page-link" href="#">Next</a></li>
                    </ul>
                </div>
            </div>
        </div>
    </div>
</div>
